<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>README</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
  <link rel="stylesheet" href="pandoc/github.css" />
  <!--[if lt IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv-printshiv.min.js"></script>
  <![endif]-->
</head>
<body>
<h2 id="dr-bip-platoon-system-artifact">DR-BIP Platoon System Artifact</h2>
<p>Active repository for running and illustrating DR-BIP on the Platoon System.</p>
<p>The repository is self-contained and requires Java and CMAKE to be installed with optional dependencies on Python3 (for visualizing traces) and R (for benchmark analysis and plotting).</p>
<p>Check the sub-folder README.md files for further instructions. All README.md files are pre-rendered as HTML for convenience. In each directory (including this one), the readme.html file corresponds to a rendered README.md.</p>
<ol type="1">
<li><a href="platoon">platoon</a> contains the main platoon case study model and executions to execute and simulate it.</li>
<li><a href="plot">plot</a> contains data for the performance analysis as well as the R scripts used to process and plot it.</li>
<li><a href="tools">tools</a> contains the tools needed to run DR-BIP and view traces.</li>
</ol>
<blockquote>
<p>The artifact is intended to be run on Linux systems. However the tools should work on most systems, check Makefile and adapt scripts accordingly.</p>
</blockquote>
</body>
</html>
